Skip to content
Permalink
Browse files

makepanda: discourage targeting macOS older than 10.9 (as per #300)

  • Loading branch information
rdb committed Nov 28, 2019
1 parent 1ea8c9f commit 77eeed6a8206cc7d34c96d07b3523cd5a68b4253
Showing with 9 additions and 0 deletions.
  1. +9 −0 makepanda/makepanda.py
@@ -273,6 +273,13 @@ def parseopts(args):
assert OSXTARGET[0] == 10
except:
usage("Invalid setting for OSXTARGET")

if OSXTARGET < (10, 9):
print("=========================================================================")
print("WARNING: Support for macOS versions before 10.9 has been discontinued.")
print("WARNING: For more information, or any questions, please visit:")
print(" https://github.com/panda3d/panda3d/issues/300")
print("=========================================================================")
else:
OSXTARGET = None

@@ -378,6 +385,8 @@ def parseopts(args):
else:
maj, min = platform.mac_ver()[0].split('.')[:2]
osxver = int(maj), int(min)
if osxver < (10, 9):
osxver = (10, 9)

arch_tag = GetTargetArch()
PLATFORM = 'macosx-{0}.{1}-{2}'.format(osxver[0], osxver[1], arch_tag)

0 comments on commit 77eeed6

Please sign in to comment.
You can’t perform that action at this time.